classification
Title: Simplify tarfile iterator
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: BreamoreBoy, lars.gustaebel, martin.panter, python-dev, rbcollins, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-08-19 08:05 by serhiy.storchaka, last changed 2015-12-19 07:45 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
tarfile_tariter.diff serhiy.storchaka, 2014-08-19 08:05 review
tarfile_tariter_2.diff serhiy.storchaka, 2015-08-02 12:00 review
Messages (9)
msg225521 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-08-19 08:05
TarFile iteration can be simplified by using a generator instead of iterator class. Attached patch get rid of the TarIter class and decrease sources size by 16 lines.
msg237454 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-07 16:06
LGTM at a quick glance.  Can we have a formal patch review please.
msg237479 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-03-07 22:39
The code changes look correct and worthwhile to me. Just added some suggestions for the comments, which would become out of date.
msg237521 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-03-08 08:57
The patch doesn't fix a bug and doesn't add new feature. It just rewrites the code in more clear manner (in my eyes). So I leave applying or rejecting the patch on Lars.
msg247599 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2015-07-29 18:32
@serhiy could you update the patch with the review feedback? Thanks. Moving back to patch review. Lars hasn't commented on this in a year, so I think we should go ahead once the patch is fixed: e.g. you should update the comments and commit it directly.
msg247863 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-08-02 12:00
Updated patch addresses Martin's comments. Thanks Martin.
msg247901 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2015-08-02 21:42
The patch looks good and passes tests.  Go ahead and apply.
msg256718 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-12-19 07:43
New changeset a8f24e26abc7 by Serhiy Storchaka in branch 'default':
Issue #22227: The TarFile iterator is reimplemented using generator.
https://hg.python.org/cpython/rev/a8f24e26abc7
msg256719 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-12-19 07:45
Thanks Martin and Raymond for reviews.
History
Date User Action Args
2015-12-19 07:45:22serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg256719

stage: commit review -> resolved
2015-12-19 07:43:45python-devsetnosy: + python-dev
messages: + msg256718
2015-08-02 21:42:07rhettingersetassignee: lars.gustaebel -> serhiy.storchaka

messages: + msg247901
nosy: + rhettinger
2015-08-02 12:31:29rbcollinssetstage: patch review -> commit review
2015-08-02 12:00:15serhiy.storchakasetfiles: + tarfile_tariter_2.diff

messages: + msg247863
versions: + Python 3.6, - Python 3.5
2015-07-29 18:32:55rbcollinssetnosy: + rbcollins

messages: + msg247599
stage: commit review -> patch review
2015-03-08 08:57:18serhiy.storchakasetassignee: lars.gustaebel
messages: + msg237521
2015-03-08 04:43:36berker.peksagsetstage: patch review -> commit review
2015-03-07 22:39:55martin.pantersetmessages: + msg237479
2015-03-07 22:34:36martin.pantersetnosy: + martin.panter
2015-03-07 16:06:29BreamoreBoysetnosy: + BreamoreBoy
messages: + msg237454
2014-08-19 08:05:55serhiy.storchakacreate